Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 476424 - =app-accessibility/sphinxbase-0.8 - Hard dependency on media-sound/pulseaudio unneeded.
Summary: =app-accessibility/sphinxbase-0.8 - Hard dependency on media-sound/pulseaudio...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Accessibility Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-10 17:55 UTC by Samuel Bauer
Modified: 2015-11-22 23:45 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sphinxbase-0.8.ebuild (sphinxbase-0.8.ebuild,1.93 KB, text/plain)
2013-07-10 17:55 UTC, Samuel Bauer
Details
sphinxbase-0.8.ebuild.patch (file_476424.txt,1.34 KB, patch)
2013-07-10 19:09 UTC, Tom Wijsman (TomWij) (RETIRED)
Details | Diff
fixed sphinxbase-0.8.ebuild.patch (sphinxbase-0.8.ebuild.patch,1.34 KB, patch)
2013-07-17 19:14 UTC, Ondrej Grover
Details | Diff
sphinxbase-0.8.ebuild.patch (sphinxbase-0.8.ebuild.patch,1.39 KB, patch)
2013-07-18 19:49 UTC, Samuel Bauer
Details | Diff
Refreshed patch (sphinxbase-0.8.ebuild.patch,2.90 KB, patch)
2015-11-22 12:09 UTC, Maxim Reznik
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Bauer 2013-07-10 17:55:37 UTC
Created attachment 353028 [details]
sphinxbase-0.8.ebuild

sphinxbase can use four audio backend: pulseaudio, jack, alsa or oss

The build system consider this order as the prefered audio backend is the first listed.

But one may need sphinxbase with his own preferred audio backend.
Comment 1 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-07-10 19:09:39 UTC
Created attachment 353034 [details, diff]
sphinxbase-0.8.ebuild.patch

Turned ebuild into diff; added die to sed calls, rewrote rc_prepare slightly with if calls to ensure the proper die and return functionality
Comment 2 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-07-10 19:10:51 UTC
Probably the other dependencies need to be added to the dependencies variables.
Comment 3 Ondrej Grover 2013-07-17 19:14:37 UTC
Created attachment 353528 [details, diff]
fixed sphinxbase-0.8.ebuild.patch

I tested the patch (just was missing a semicolon), it builds fine and sphinx3-0.6.3 works with it.
Comment 4 Samuel Bauer 2013-07-18 19:49:19 UTC
Created attachment 353608 [details, diff]
sphinxbase-0.8.ebuild.patch

Added jack dependencies.

I don't know what are the dependencies for either alsa or oss (maybe media-libs/alsa-lib). Think it's just about kernel parameters checking, but I'd rather won't do that in the ebuild.
Comment 5 godlike64 2014-12-29 17:24:43 UTC
This is stillan issue today more than one year after it has been reported. If I remove the hard dep on pulseaudio in the ebuild and re-manifest it (my system already runs ALSA so all dependencies are already there), sphinxbase builds just fine and no pulse component gets pulled in.

Could we at least have an USE in order to specify the pulse dep?
Comment 6 Luke-Jr 2015-05-20 23:34:56 UTC
TomWjj, you made patches, but didn't commit them? What's the next step in this?
Comment 7 Maxim Reznik 2015-11-22 12:09:13 UTC
Created attachment 417568 [details, diff]
Refreshed patch

I've refreshed the patch to work with current ebuild. I also merged patch from bug 560254
Comment 8 Samuel Bauer 2015-11-22 23:45:56 UTC
In reply to #comment 7
Thanks a lot Maxim, it's really nice